## r-cran-rlinsolve 0.3.1

=== debian/changelog ===
r-cran-rlinsolve (0.3.1-2) unstable; urgency=medium

  * No-changes source-only upload.

 -- Andrius Merkys <merkys@debian.org>  Thu, 04 Mar 2021 02:16:52 -0500

r-cran-rlinsolve (0.3.1-1) unstable; urgency=medium

  * Initial release (closes: #983933)

 -- Andrius Merkys <merkys@debian.org>  Tue, 02 Mar 2021 05:58:50 -0500

## r-cran-rlinsolve 0.3.2

=== DESCRIPTION ===
Package: Rlinsolve
Type: Package
Title: Iterative Solvers for (Sparse) Linear System of Equations
Version: 0.3.2
Authors@R: person("Kisung", "You", email = "kisungyou@outlook.com", role = c("aut", "cre"), comment=c(ORCID="0000-0002-8584-459X"))
Description: Solving a system of linear equations is one of the most fundamental
    computational problems for many fields of mathematical studies, such as
    regression problems from statistics or numerical partial differential equations.
    We provide basic stationary iterative solvers such as Jacobi, Gauss-Seidel,
    Successive Over-Relaxation and SSOR methods. Nonstationary, also known as
	Krylov subspace methods are also provided. Sparse matrix computation is also supported
    in that solving large and sparse linear systems can be manageable using 'Matrix' package
    along with 'RcppArmadillo'. For a more detailed description, see a book by Saad (2003)
    <doi:10.1137/1.9780898718003>.
License: MIT + file LICENSE
Encoding: UTF-8
Imports: Rcpp (>= 0.12.4), Matrix, Rdpack, stats, utils
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 7.1.1
RdMacros: Rdpack
NeedsCompilation: yes
Packaged: 2021-08-21 05:04:26 UTC; kisung
Author: Kisung You [aut, cre] (<https://orcid.org/0000-0002-8584-459X>)
Maintainer: Kisung You <kisungyou@outlook.com>
Repository: CRAN
Date/Publication: 2021-08-21 15:40:10 UTC

=== debian/changelog ===
r-cran-rlinsolve (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2
  * Updating author email.
  * Updating copyright details.

 -- Andrius Merkys <merkys@debian.org>  Tue, 24 Aug 2021 04:29:47 -0400

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/Rlinsolve_([-\d.]*)\.tar\.gz

## r-cran-rlinsolve 0.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: Rlinsolve
 Type: Package
 Title: Iterative Solvers for (Sparse) Linear System of Equations
-Version: 0.3.2
-Authors@R: person("Kisung", "You", email = "kisungyou@outlook.com", role = c("aut", "cre"), comment=c(ORCID="0000-0002-8584-459X"))
+Version: 0.3.3
+Authors@R: person("Kisung", "You", email = "kisung.you@outlook.com", role = c("aut", "cre"), comment=c(ORCID="0000-0002-8584-459X"))
 Description: Solving a system of linear equations is one of the most fundamental
     computational problems for many fields of mathematical studies, such as
     regression problems from statistics or numerical partial differential equations.
@@ -16,11 +16,11 @@
 Encoding: UTF-8
 Imports: Rcpp (>= 0.12.4), Matrix, Rdpack, stats, utils
 LinkingTo: Rcpp, RcppArmadillo
-RoxygenNote: 7.1.1
+RoxygenNote: 7.3.2
 RdMacros: Rdpack
 NeedsCompilation: yes
-Packaged: 2021-08-21 05:04:26 UTC; kisung
-Author: Kisung You [aut, cre] (<https://orcid.org/0000-0002-8584-459X>)
-Maintainer: Kisung You <kisungyou@outlook.com>
+Packaged: 2025-09-21 03:33:12 UTC; kyou
+Author: Kisung You [aut, cre] (ORCID: <https://orcid.org/0000-0002-8584-459X>)
+Maintainer: Kisung You <kisung.you@outlook.com>
 Repository: CRAN
-Date/Publication: 2021-08-21 15:40:10 UTC
+Date/Publication: 2025-09-22 05:10:56 UTC

=== debian/changelog ===
r-cran-rlinsolve (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3
  * Update debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Thu, 25 Sep 2025 04:28:24 -0400

=== debian/control ===
Source: r-cran-rlinsolve
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-matrix,
 r-cran-rcpp (>= 0.12.4),
 r-cran-rcpparmadillo,
 r-cran-rdpack,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rlinsolve
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rlinsolve.git
Homepage: https://cran.r-project.org/package=Rlinsolve
Rules-Requires-Root: no

Package: r-cran-rlinsolve
Architecture: any
Depends:
 ${R:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Iterative Solvers for (Sparse) Linear System of Equations
 Solving a system of linear equations is one of the most fundamental
 computational problems for many fields of mathematical studies, such as
 regression problems from statistics or numerical partial differential
 equations. Rlinsolve provides basic stationary iterative solvers such as
 Jacobi, Gauss-Seidel, Successive Over-Relaxation and SSOR methods.
 Nonstationary, also known as Krylov subspace methods are also provided.
 Sparse matrix computation is also supported in that solving large and sparse
 linear systems can be manageable using Matrix package along with
 RcppArmadillo. For a more detailed description, see a book by Saad (2003),
 doi:10.1137/1.9780898718003.
